#
# Conexant AccessRunner spec file to build rpm package
#

Summary: Conexant AccessRunner USB ADSL modem kernel space driver
Name: cxacru
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System/Kernel and hardware
Source: http://sourceforge.net/projects/accessrunner
URL: http://accessrunner.sourceforge.net
BuildArch: %{_arch}
#Distribution: My distribution
#Vendor: No available
#Packager: Josep Comas <jcomas@gna.es>
#Prefix: %{_prefix}
#BuildRoot: %{_builddir}/%{name}

%description
Conexant AccessRunner USB ADSL modem kernel space driver. This
package contains software to use Conexant AccessRunner USB
ADSL modem under Linux. It supports several protocols.

#%prep
#%setup -n %{name}

#%build
#make clean
#make

#%install
#make install

%files
%defattr(755, root, root)

#init
/usr/sbin/cxload
/usr/sbin/cxioctl

#firmware
%attr(644, root, root) /usr/sbin/cxfirm1.bin
%attr(644, root, root) /usr/sbin/cxfirm2.bin
%attr(644, root, root) /usr/sbin/cxfirm3.bin
%attr(644, root, root) /usr/sbin/cxfirm4.bin
%attr(644, root, root) /usr/sbin/cxfirm5.bin

#module
%{module_normal}
%{module_debug}

#scripts
/usr/sbin/cxstart.sh
/usr/sbin/cxstop.sh
/usr/sbin/cxload.sh
/usr/sbin/cxunload.sh
/usr/sbin/cxnetup.sh
/usr/sbin/cxnet2up.sh
/usr/sbin/cxnet3up.sh
/usr/sbin/cxnet4up.sh
/usr/sbin/cxnetdown.sh
/usr/sbin/cxnet2down.sh
/usr/sbin/cxnet3down.sh
/usr/sbin/cxnet4down.sh

%config %attr(644, root, root) /etc/cxacru

#service
/etc/cxacru.service

#bridged
/usr/sbin/br2684ctl

#panel
/usr/sbin/cxpanel
%attr(644, root, root) /usr/sbin/cxpanel.glade
%attr(644, root, root) /usr/sbin/cxacru-tux.xpm

#falta doc

%post
/sbin/depmod -a
if [ -f /etc/debian_version ]; then
  install -c -m 755 -p /etc/cxacru.service /etc/init.d/cxacru;
  update-rc.d cxacru defaults;
  update-rc.d -f atm remove;
else
  if [ -f /etc/redhat-release ]; then
    install -c -m 755 -p /etc/cxacru.service /etc/rc.d/init.d/cxacru;
    chkconfig --add cxacru;
  else
    if [ -f /etc/SuSE-release ] ; then
      install -c -m 755 -p /etc/cxacru.service /etc/init.d/cxacru;
      install -c -m 755 -p /etc/cxacru.service /etc/rc.d/cxacru;
      insserv cxacru;
    else
      if [ -f /etc/slackware-version ] ; then
        if grep -q -E "^ */usr/sbin/cxstart.sh *$" /etc/rc.d/rc.local; then
          cd /etc/rc.d;
          cp -f rc.local rc.local.tmp;
          echo "/usr/sbin/cxstart.sh" >> rc.local.tmp;
          mv -f rc.local.tmp rc.local;
        fi 
      fi 
    fi 
  fi 
fi

%preun
if [ -f /etc/debian_version ]; then
        update-rc.d -f cxacru remove;
        rm -f /etc/init.d/cxacru;
else
        if [ -f /etc/redhat-release ]; then
                chkconfig --del cxacru;
                rm -f /etc/rc.d/init.d/cxacru;
        else
                if [ -f /etc/SuSE-release ] ; then 
                        insserv -r cxacru;
                        rm -f /etc/init.d/cxacru;
                        rm -f /etc/rc.d/cxacru;
                else
                        if [ -f /etc/slackware-version ] ; then
                                cd /etc/rc.d;
                                grep -v -E "^ */usr/sbin/cxstart.sh *$" rc.local > rc.local.tmp;
                                mv -f rc.local.tmp rc.local;
                        fi
                fi
        fi
fi

%define date %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} Josep Comas <jcomas@gna.es>
- Maintaining the rpm package myself.

